## This part makes sure that only one event is happening, even if more is triggered
execute as @s[scores={CameraRolls=40000000..}] run scoreboard players add var Timer 1
execute as @s[scores={CameraRolls=40000000..}] run scoreboard players set var GameOverMonst 0
execute as @s[scores={CameraRolls=40000000..}] run scoreboard players set var GameOverHole 0

execute as @s[scores={GameOverMonst=1..}] run scoreboard players add var Timer 1
execute as @s[scores={GameOverMonst=1..}] run scoreboard players set var GameOverHole 0

execute as @s[scores={GameOverHole=1..}] run scoreboard players add var Timer 1
execute as @s[scores={GameOverHole=1..}] run scoreboard players set var GameOverMonst 0







scoreboard players operation @s MonstrNum = var MonstrNum
scoreboard players operation @s LevelNum = var LevelNum
scoreboard players operation @s CameraRolls = var CameraRolls
scoreboard players operation @s GameOverMonst = var GameOverMonst
scoreboard players operation @s GameOverHole = var GameOverHole
scoreboard players operation @s Timer = var Timer


###############    This part prevents spawning more than 1 monster at once
execute as @s[scores={MonstrNum=..0}] run event entity @e[family=monster] despawn
execute as @s[scores={MonstrNum=..0}] run scoreboard players set var MonstrNum 0
execute as @s[scores={MonstrNum=..0}] run scoreboard players set @s MonstrNum 0
###############    Summoning monsters when needed
execute as @s[scores={MonstrNum=0,LevelNum=1}] run function monsters/spawn_smiler
execute as @s[scores={MonstrNum=0,LevelNum=2}] run function monsters/spawn_mummy
execute as @s[scores={MonstrNum=0,LevelNum=3}] run function monsters/spawn_balooner
execute as @s[scores={MonstrNum=0,LevelNum=12}] run execute if entity @a[x=925,y=241,z=421,rm=35] run summon shapescape:smiler 925 241 421
execute as @s[scores={MonstrNum=0,LevelNum=4}] run function monsters/spawn_hound
execute as @s[scores={MonstrNum=0,LevelNum=5}] run function monsters/spawn_giant_spider

###############    Counting time to the next level after 3 camera_rolls are found. 105 tick because there's 5 seconds before full blackout
execute as @s[tag=!NEW_GAME_PLUS,scores={GameOverMonst=!1..,GameOverHole=!1..,CameraRolls=40000000..,Timer=1,LevelNum=5}] run title @a title shapescape:image_popup_0
execute as @s[tag=!NEW_GAME_PLUS,scores={GameOverMonst=!1..,GameOverHole=!1..,CameraRolls=40000000..,Timer=1,LevelNum=!5}] run function game_loop/levels/camera_change
execute as @s[tag=!NEW_GAME_PLUS,scores={GameOverMonst=!1..,GameOverHole=!1..,CameraRolls=40000000..,Timer=80}] run function game_loop/levels/finished

execute as @s[tag=NEW_GAME_PLUS,scores={GameOverMonst=!1..,GameOverHole=!1..,CameraRolls=40000000..,Timer=1}] run title @a title shapescape:image_popup_0
execute as @s[tag=NEW_GAME_PLUS,scores={GameOverMonst=!1..,GameOverHole=!1..,CameraRolls=40000000..,Timer=80}] run function game_loop/levels/finished

###############    Counting time to restart after player "died" by monster OR for restarting the level when player is in the final room and iteracts with the monitors
execute as @s[scores={GameOverMonst=1..,Timer=5}] run title @a title shapescape:image_popup_3
execute as @s[scores={LevelNum=!12,GameOverMonst=1..,Timer=105}] run function game_loop/levels/restart
execute as @s[scores={LevelNum=12,GameOverMonst=1..,Timer=105}] run function game_loop/levels/finished

###############    Counting time to restart after player "died" by jumping into a hole 
execute as @s[scores={LevelNum=!12,GameOverHole=1..,Timer=5}] run title @a title shapescape:image_popup_2
execute as @s[scores={LevelNum=!12,GameOverHole=1..,Timer=40}] run function game_loop/levels/restart


###############    Counting time to finish the level after player will fall to the pit in the level 1.2
execute as @s[scores={LevelNum=12,GameOverHole=1..,Timer=5}] run title @a title shapescape:image_popup_2
execute as @s[scores={LevelNum=12,GameOverHole=1..,Timer=40}] run function game_loop/levels/finished