scoreboard players operation @s LevelNum = var LevelNum
 

title @s[x=1438,y=241,z=402,rm=25] title shapescape:image_popup_4

clear @s shapescape:camera
clear @s shapescape:flashlight
replaceitem entity @s slot.armor.head 0 shapescape:camera 1 1 {"minecraft:item_lock":{"mode":"lock_in_slot"}}
replaceitem entity @s slot.hotbar 4 shapescape:flashlight 1 1 {"minecraft:item_lock":{"mode":"lock_in_slot"}}

# Tp
## First level has selectors for the start area, to prevent player from being teleported before dying
execute as @s[scores={LevelNum=1},x=312,y=420,z=1710,rm=1000] unless entity @s[x=-15,y=200,z=90,dx=254,dy=150,dz=319] run function game_loop/levels/1/tp
execute as @s[scores={LevelNum=2}] unless entity @s[x=305,y=200,z=169,dx=205,dy=150,dz=204] run function game_loop/levels/2/tp

execute as @s[scores={LevelNum=3}] unless entity @s[x=620,y=200,z=170,dx=240,dy=150,dz=250] run function game_loop/levels/3/tp
execute as @s[scores={LevelNum=4}] unless entity @s[x=980,y=200,z=215,dx=200,dy=150,dz=200] run function game_loop/levels/4/tp
execute as @s[scores={LevelNum=5}] unless entity @s[x=1180,y=200,z=275,dx=240,dy=150,dz=150] run function game_loop/levels/5/tp

# Fog
execute as @s[scores={LevelNum=1}] if entity @s[x=-15,y=200,z=90,dx=254,dy=150,dz=319] run function game_loop/levels/1/fog
execute as @s[scores={LevelNum=2}] if entity @s[x=305,y=200,z=169,dx=205,dy=150,dz=204] run function game_loop/levels/2/fog
execute as @s[scores={LevelNum=3}] if entity @s[x=620,y=200,z=170,dx=240,dy=150,dz=250] run function game_loop/levels/3/fog
execute as @s[scores={LevelNum=4}] if entity @s[x=980,y=200,z=215,dx=200,dy=150,dz=200] run function game_loop/levels/4/fog
execute as @s[scores={LevelNum=5}] if entity @s[x=1180,y=200,z=275,dx=240,dy=150,dz=150] run function game_loop/levels/5/fog


event entity @e remove_game_over
function monsters/light_flicker/end_light



## Add a jumpscare warning
execute as @s[tag=!GAME_START] run tellraw @a {"rawtext":[{"translate":"game_start.warning_message_01"}]}
execute as @s[tag=!GAME_START] run tellraw @a {"rawtext":[{"translate":"game_start.warning_message_02"}]}
execute as @s[tag=!GAME_START] run execute as @a run execute at @a run playsound note.bell @s ~~~ 1 1
tag @s add GAME_START